# src/ecommerce_toolkit/providers/base.py
from abc import ABC, abstractmethod
from typing import List
from ..models.product import Product

class EcommerceProvider(ABC):
    @abstractmethod
    def get_products(self) -> List[Product]:
        pass
    
    @abstractmethod
    def get_product(self, product_id: str) -> Product:
        pass
    
    @abstractmethod
    def search_products(self, query: str) -> List[Product]:
        pass